<div class="container">
  
  <p class="center">{{location.longitude}}, {{location.latitude}}</p>
  <form novalidate (ngSubmit)="addLocation()" #addLocationForm="ngForm">

    <mat-form-field>
      <input matInput required [(ngModel)]="location.name" placeholder="Name" name="name" id="name">
        <mat-error *ngIf="addLocationForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>
  
    <mat-form-field>
      <input matInput required [(ngModel)]="location.city" placeholder="City" name="city" id="city">
      <mat-error *ngIf="addLocationForm.controls.city?.errors?.required">City is required</mat-error>
    </mat-form-field>
  
    <mat-form-field>
      <input matInput required [(ngModel)]="location.address" placeholder="Address" name="address" id="address">
      <mat-error *ngIf="addLocationForm.controls.address?.errors?.required">Address is required</mat-error>
    </mat-form-field>
  
    <mat-form-field>
      <input matInput required [(ngModel)]="location.country" placeholder="Country" name="country" id="country">
      <mat-error *ngIf="addLocationForm.controls.country?.errors?.required">Country is required</mat-error>
    </mat-form-field>
  
    <div class="center">
      <button mat-button type="submit" [disabled]="!addLocationForm.valid" name="add-location" id="add-location">Add location</button>
    </div>

    <div class="map-container">
      <app-map [longitude]="location.longitude" [latitude]="location.latitude"
      [draggable]="true" (markerDrag)="updateLocationPosition($event)"></app-map>
    </div>
    
  </form>
</div>
